
Redmine - Feature #423

"All Projects" should have some of the features of any given project

2007-09-04 15:56 - Mark Sim

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

"All Projects" should have "Issues", "Reports", "News", "Activity",

and "Overview" -- where "Overview" is like the current page you get when you click "All

Projects" but everything else basically removes the project filter and shows only the projects that the user is

a member of.

This is critical for managers that are helping with multiple projects-- so they can see the important issues in ALL

projects or the resolved issues in ALL projects, even if they weren't assigned back to them.  It gives other users a

good sense of what the overall state of all the projects are.

I think this is critical, and I also think I could help with it.  Don't know what your process is for modifying and

contributing.

Related issues:

Has duplicate Redmine - Feature #2823: Cross-project activity view Closed

Associated revisions

Revision 1227 - 2008-03-11 20:33 - Jean-Philippe Lang

Activity enhancements:

overall activity view and feed added, link is available on the project list (#423, #494)

switch added on the project activity view to include subprojects (closes #530)

History

#1 - 2007-12-17 17:35 - Maxim Krušina

"All Projects" should have also "timelog"

Also at #15837

#2 - 2009-02-24 23:36 - Mischa The Evil

- Category set to Projects

- % Done changed from 0 to 80

Maxim Krušina wrote:

"All Projects" should have also "timelog"

 This is implemented with r1778.

Mark sim wrote:

"All Projects" should have "Issues", "Reports", "News", "Activity" and "Overview"

 As of today (0.8.1 / trunk @ r2520) most of them are implemented:

Issues: r684

Reports: r410 (slightly different though)

If you mean the calendar and Gantt (which I doubt): r2088

Activity: r1227
https://www.redmine.org/issues/15837
https://www.redmine.org/projects/redmine/repository/svn/revisions/1778
https://www.redmine.org/projects/redmine/repository/svn/revisions/2520
https://www.redmine.org/projects/redmine/repository/svn/revisions/684
https://www.redmine.org/projects/redmine/repository/svn/revisions/410
https://www.redmine.org/projects/redmine/repository/svn/revisions/2088
https://www.redmine.org/projects/redmine/repository/svn/revisions/1227


Regarding the "Overview": does the project list (../projects) suffice your need?

This would mean that only the request for cross-project news isn't implemented upto today...

Set -done to 80 to mark the progress somehow...

#3 - 2009-11-23 00:55 - Mischa The Evil

- Category deleted (Projects)

- Status changed from New to Closed

- % Done changed from 80 to 100

- Resolution set to Fixed

No feedback on latest comment 9 months ago.

This issue now became a feature request only regarding a global news view. By further inspection this feature is at least already implemented within

the current Redmine trunk.

Sum of all above: all feature requests mentioned in this issue are implemented [sic] this issue is getting closed.
